Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Separator Class Reference

A GtkSeparator C++ wrapper class. More...

`#include <inti/gtk/separator.h>`

Inheritance diagram for Inti::Gtk::Separator:

List of all members.

## Public Member Functions

Accessors

- GtkSeparator * gtk_separator () const
    Get a pointer to the GtkSeparator structure.
- GtkSeparatorClass * gtk_separator_class () const
    Get a pointer to the GtkSeparatorClass structure.
- operator GtkSeparator * () const
    Conversion operator; safely converts a Separator to a GtkSeparator pointer.

## Protected Member Functions

Constructors

- Separator ()
    Construct a new Separator.
- Separator (GtkSeparator *separator, bool reference=false)
    Construct a new Separator from an existing GtkSeparator.
- virtual ~Separator ()=0
    Destructor.

## Detailed Description

A GtkSeparator C++ wrapper class.

The Separator widget is an abstract class, used only for deriving the subclasses HSeparator and VSeparator.

## Constructor & Destructor Documentation

Inti::Gtk::Separator::Separator | ( | GtkSeparator * | separator,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new Separator from an existing GtkSeparator. Parameters:
  separator | A pointer to a GtkSeparator.
  reference | Set false if the initial reference count is floating, set true if it's not.
The separator can be a newly created GtkSeparator or an existing GtkSeparator (see G::Object::Object).

The documentation for this class was generated from the following file:

- separator.h

Main Page - Footer